Package org.jbpm.executor.commands.error

## Class AutoAckErrorCommand

- java.lang.Object
- - org.jbpm.executor.commands.error.AutoAckErrorCommand

- All Implemented Interfaces:
    `org.kie.api.executor.Command`, `org.kie.api.executor.Reoccurring`
  Direct Known Subclasses:
    `JobAutoAckErrorCommand`, `ProcessAutoAckErrorCommand`, `TaskAutoAckErrorCommand`

      public abstract class AutoAckErrorCommand
      extends Object
      implements org.kie.api.executor.Command, org.kie.api.executor.Reoccurring

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AutoAckErrorCommand()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.executor.ExecutionResults` | `execute​(org.kie.api.executor.CommandContext ctx)` |
    `protected abstract List<ExecutionErrorInfo>` | `findErrorsToAck​(javax.persistence.EntityManager em)` | Responsible to look up all errors that can be auto acknowledged.
    `protected abstract String` | `getAckRule()` | Returns description of why given jobs can be auto ack'ed
    `Date` | `getScheduleTime()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoAckErrorCommand

          public AutoAckErrorCommand()

  - ### Method Detail

    - #### getScheduleTime

          public Date getScheduleTime()

      Specified by:
        `getScheduleTime` in interface `org.kie.api.executor.Reoccurring`

    - #### execute

          public org.kie.api.executor.ExecutionResults execute​(org.kie.api.executor.CommandContext ctx)
                                                        throws Exception

      Specified by:
        `execute` in interface `org.kie.api.executor.Command`
      Throws:
        `Exception`

    - #### findErrorsToAck

          protected abstract List<ExecutionErrorInfo> findErrorsToAck​(javax.persistence.EntityManager em)

      Responsible to look up all errors that can be auto acknowledged.
      Parameters:
        `em` - instance of entity manager to access db
      Returns:
        returns always not null list of results

    - #### getAckRule

          protected abstract String getAckRule()

      Returns description of why given jobs can be auto ack'ed